summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVaporeon2016-10-18 13:18:31 +1100
committerVaporeon2016-10-18 13:18:31 +1100
commit7f61db328d9c4cfcd511310c0675c0bf1ec028e8 (patch)
treea32e1edfb9cfdad040e708d72914654f4720779f
parent71028ff00b2cca27828fb23ce06f0747dc9ab492 (diff)
downloadaur-7f61db328d9c4cfcd511310c0675c0bf1ec028e8.tar.gz
updated
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD44
-rw-r--r--glib-compile-schemas.hook (renamed from glib-compile-schemes.hook)0
3 files changed, 39 insertions, 28 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 278ab50f656..7e9f147fb82 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,20 +1,21 @@
# Generated by mksrcinfo v8
-# Mon Aug 22 03:58:20 UTC 2016
+# Tue Oct 18 02:18:26 UTC 2016
pkgbase = glib2-patched-thumbnailer
pkgdesc = GLib2 patched with ahodesuka's thumbnailer patch.
- pkgver = 2.48.2
+ pkgver = 2.50.1
pkgrel = 1
url = http://gist.github.com/ahodesuka/49c1d0eea4b64f24c4c7
arch = i686
arch = x86_64
license = LGPL
- makedepends = pkg-config
- makedepends = python2
- makedepends = libxslt
- makedepends = docbook-xml
- makedepends = pcre
- makedepends = libffi
+ checkdepends = desktop-file-utils
+ checkdepends = dbus
+ makedepends = gettext
+ makedepends = zlib
+ makedepends = shared-mime-info
+ makedepends = python
makedepends = libelf
+ makedepends = git
depends = pcre
depends = libffi
depends = tumbler
@@ -24,12 +25,12 @@ pkgbase = glib2-patched-thumbnailer
conflicts = glib2
options = !docs
options = !emptydirs
- source = http://ftp.gnome.org/pub/GNOME/sources/glib/2.48/glib-2.48.2.tar.xz
- source = glib-compile-schemes.hook
+ source = git://git.gnome.org/glib#commit=e44ea516afeb41d22cebf968b3ea5d9543856df2
+ source = glib-compile-schemas.hook
source = gio-querymodules.hook
source = revert-warn-glib-compile-schemas.patch
source = https://gist.githubusercontent.com/ahodesuka/49c1d0eea4b64f24c4c7/raw/d0edf118e1c27700300038c1d82b3ff775c0216b/glib-thumbnailer.patch
- sha256sums = f25e751589cb1a58826eac24fbd4186cda4518af772806b666a3f91f66e6d3f4
+ sha256sums = SKIP
sha256sums = e1123a5d85d2445faac33f6dae1085fdd620d83279a4e130a83fe38db52b62b3
sha256sums = 5ba204a2686304b1454d401a39a9d27d09dd25e4529664e3fd565be3d439f8b6
sha256sums = 049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97
diff --git a/PKGBUILD b/PKGBUILD
index ef0c37c259d..33198a3077b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,62 +2,72 @@
# Contributor: Jan de Groot <jgc@archlinux.org>
pkgname=glib2-patched-thumbnailer
-pkgver=2.48.2
-_patchver=d0edf118e1c27700300038c1d82b3ff775c0216b
+pkgver=2.50.1
pkgrel=1
pkgdesc="GLib2 patched with ahodesuka's thumbnailer patch."
url="http://gist.github.com/ahodesuka/49c1d0eea4b64f24c4c7"
arch=(i686 x86_64)
provides=(glib2)
conflicts=(glib2)
-makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'libelf')
+makedepends=('gettext' 'zlib' 'shared-mime-info' 'python' 'libelf' 'git')
depends=('pcre' 'libffi' 'tumbler')
optdepends=('python: for gdbus-codegen and gtester-report'
'libelf: gresource inspection tool')
+checkdepends=(desktop-file-utils dbus)
options=('!docs' '!emptydirs')
license=('LGPL')
-source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
- glib-compile-schemes.hook
+
+_commit=e44ea516afeb41d22cebf968b3ea5d9543856df2 # tags/2.50.1^0
+_patchver=d0edf118e1c27700300038c1d82b3ff775c0216b
+
+source=("git://git.gnome.org/glib#commit=$_commit"
+ glib-compile-schemas.hook
gio-querymodules.hook
revert-warn-glib-compile-schemas.patch
https://gist.githubusercontent.com/ahodesuka/49c1d0eea4b64f24c4c7/raw/$_patchver/glib-thumbnailer.patch)
-sha256sums=('f25e751589cb1a58826eac24fbd4186cda4518af772806b666a3f91f66e6d3f4'
+sha256sums=('SKIP'
'e1123a5d85d2445faac33f6dae1085fdd620d83279a4e130a83fe38db52b62b3'
'5ba204a2686304b1454d401a39a9d27d09dd25e4529664e3fd565be3d439f8b6'
'049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97'
'1a4673380fbdf8e8e5de3367089de6c97025633e54010575de63c5ab6c8a044d')
+pkgver() {
+ cd glib
+ git describe --tags | sed 's/-/+/g'
+}
+
prepare() {
- cd glib-$pkgver
+ cd glib
patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
patch -Np1 -i ${srcdir}/glib-thumbnailer.patch
+ NOCONFIGURE=1 ./autogen.sh
}
build() {
- cd glib-$pkgver
+ cd glib
./configure --prefix=/usr --libdir=/usr/lib \
--sysconfdir=/etc \
--with-pcre=system \
--disable-fam
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
make
}
check() {
- cd glib-$pkgver
- # Takes an effing long time
- #make -k check || :
+ cd glib
+# if ! make check; then
+# make check
+# fi
}
package() {
- cd glib-$pkgver
+ cd glib
make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
chmod -x "$pkgdir"/usr/share/bash-completion/completions/*
- # Our gdb does not ship the required python modules, so remove it
- rm -rf "$pkgdir/usr/share/gdb/"
-
# install hooks
- install -dm755 "$pkgdir"/usr/share/libalpm/hooks/
- install -m644 "$srcdir"/{glib-compile-schemes,gio-querymodules}.hook "$pkgdir"/usr/share/libalpm/hooks/
+ install -d "$pkgdir/usr/share/libalpm/hooks/"
+ install -m644 "$srcdir"/{glib-compile-schemas,gio-querymodules}.hook \
+ "$pkgdir/usr/share/libalpm/hooks/"
}
diff --git a/glib-compile-schemes.hook b/glib-compile-schemas.hook
index 04dc59b1a63..04dc59b1a63 100644
--- a/glib-compile-schemes.hook
+++ b/glib-compile-schemas.hook